/* -------------------------------------------------------- */
/* CUSTOM FONTS */
/* -------------------------------------------------------- */

@font-face {
font-family: "Kingthings";
src: url('https://thecasualcorner.neocities.org/fonts/Kingthings.woff') format("woff");
}

@font-face {
font-family: "Delius";
src: url('https://thecasualcorner.neocities.org/fonts/Delius.woff') format("woff");
}


/* -------------------------------------------------------- */
/* VARIABLES */
/* -------------------------------------------------------- */

/* Variables are used like this: var(--text-color) */
:root {
  /* Background Colors: */
  --background-color: #d17f71;
  --content-background-color: #fffcf5;
  --sidebar-background-color: #fffcf5;

  /* Text Colors: */
  --text-color: #1f2a38;
  --sidebar-text-color: #1f2a38;
  --link-color: #72351c;
  --link-color-hover: #8e5d49;

  /* Text: */
  --font: "Delius", sans-serif;
  --heading-font: "Kingthings", sans-serif;
  --font-size: 18px;

  /* Other Settings: */
  --margin: 15px;
  --padding: 20px;
  --border: 2px solid #9e4f49;
  --round-borders: 15px;
  --sidebar-width: 250px;
}

/* -------------------------------------------------------- */

* {
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
}

body {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: start;
      -ms-flex-align: start;
          align-items: flex-start;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  min-height: 100vh;
  font-size: var(--font-size);
  margin: 0;
  padding: var(--margin);
  color: var(--text-color);
  font-family: var(--font); 
  line-height: 1.2;
  background: var(--background-color);
  /* background-image: url("https://thecasualcorner.neocities.org/pictures/GreenBackground.png");  Change picture of entire background */
  cursor: url("https://thecasualcorner.neocities.org/pictures/PixelWand.png") 16 16, auto;  
}

::-moz-selection {
  /* (Text highlighted by the user) */
  background: rgba(0, 0, 0, 0.2);
}

::selection {
  /* (Text highlighted by the user) */
  background: rgba(0, 0, 0, 0.2);
}

mark {
  /* Text highlighted by using the <mark> element */
  text-shadow: 1px 1px 4px var(--link-color);
  background-color: inherit;
  color: var(--text-color);
}

/* Links: */
a {
  text-decoration: underline;
}

a:active {
  color: var(--link-color); /* Temporary brown when clicking any link, only while mouse is pressed */
}


a,
a:visited {
  color: var(--text-color);
}

a:hover,
a:focus {
  color: var(--link-color-hover);
  text-decoration: none;
}

/* -------------------------------------------------------- */
/* LAYOUT */
/* -------------------------------------------------------- */


.layout {
  width: 1200px;
  display: -ms-grid;
  display: grid;
  grid-gap: var(--margin);
  grid-template: "banner banner" auto 
                 "navigation navigation" auto
                 "leftSidebar main" auto 
                 "footer footer" auto 
                 / var(--sidebar-width) auto;
  /* Confused by the grid? Check out my tutorial: https://petrapixel.neocities.org/coding/positioning-tutorial#grid */
}

main {
  grid-area: main;
  overflow-y: auto;
  padding: var(--padding);
  background: var(--content-background-color);
  border: var(--border);
  border-radius: var(--round-borders);
}

/* -------------------------------------------------------- */
/* BANNER IMAGE */
/* -------------------------------------------------------- */

.banner-image {
  grid-area: banner;
  height: 170px;
  width: 100%;
  background-image: url("https://thecasualcorner.neocities.org/pictures/facade.jpg"); 
  /* background-color: #E3D2C0; */
  background-size: cover;
  background-position: top center;
  background-repeat: no-repeat;
  padding: 2px;
  border: var(--border);
  border-radius: var(--round-borders);
  outline: 2px solid #9e4f49;    
  outline-offset: -6px;
}

/* -------------------------------------------------------- */
/* NAVIGATION */
/* -------------------------------------------------------- */

.navigation {
  grid-area: navigation;
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
  align-items: center;  
  position: relative;
  height: 50px;
  width: 100%;
  margin: 10px 0;
}

.navigation nav {
  flex: 1;
  width: 100%;
}

.navigation nav > ul {
  display: grid;
  grid-auto-flow: column;  
  grid-template-columns: repeat(6, 1fr);
  place-items: center;
  gap: 20px;                
  padding: 0;
  margin: 0;
  list-style: none;
  width: 100%;
}

.navigation nav > ul > li {
  width: 100%;
}

.navigation a {
  display: block; 
  width: 100%;
  padding: 10px 14px;
  border: 1px solid var(--sidebar-text-color);
  border-radius: var(--round-borders);
  /* background-image: url("https://decomail.space/bg/blue/249.jpg"); */
  background-image: url("https://decomail.space/bg/red/72.jpg");
  /* background-image: url("https://decomail.space/bg/blue/447.jpg"); */
  background-size: 25% auto;
  background-repeat: repeat;
  background-position: top center;
  text-decoration: none;
  color: var(--text-color);
  font-family: "Kingthings";
  text-align: center;
  position: relative;
}

.navigation nav > ul > li > a::before {
  content: "";
  position: absolute;
  left: 9px;
  right: 9px;
  top: 5px;
  bottom: 5px;
  background: rgba(254, 250, 241, 0.5);
  border-radius: var(--round-borders);
  z-index: 0;
}

.navigation nav > ul > li > a span {
  position: relative;
  z-index: 1;
}

.dropdown {
  position: relative;
}

.dropdown::after {
  content: "";
  position: absolute;
  left: 0;
  right: 0;
  top: 100%;
  height: 5px;
}

.dropdown-content {
  display: none;
  position: absolute;
  top: calc(100% + 5px);
  left: 0;
  padding: 10px;
  list-style: none;
  width: max-content;
  background-color: #fff8ee;
  border: 1px solid var(--text-color);
  border-radius: var(--round-borders);
}

.dropdown-content a {
  background-image: none;
  border: none;
  padding: 10px;
  display: block;
  color: var(--text-color);
}

.dropdown:hover .dropdown-content {
  display: block;
  max-height: 400px;
} 

.sticker-left {
  width: 45px;
  height: auto;
  margin-right: 25px;
}

.sticker-right {
  width: 45px;
  height: auto;
  margin-left: 25px;
}


/* -------------------------------------------------------- */
/* SIDEBAR */
/* -------------------------------------------------------- */

aside {
  grid-area: aside;
  border: var(--border);
  border-radius: var(--round-borders);
  overflow: hidden;
  background: var(--sidebar-background-color);
  color: var(--sidebar-text-color);
  display: flex;
  flex-direction: column; 
  align-items: center;
  outline: 2px solid #9e4f49;    
  outline-offset: -6px;
}

.left-sidebar {
  grid-area: leftSidebar;
}


/* -------------------------------------------------------- */
/* FOOTER */
/* -------------------------------------------------------- */

footer {
  grid-area: footer;
  border: var(--border);
  border-radius: var(--round-borders);
  overflow: hidden;
  font-size: 13px;
  padding: 15px;
  background: var(--content-background-color);
  outline: 2px solid #9e4f49;    
  outline-offset: -6px;
  display: flex;
}


/* -------------------------------------------------------- */
/* CONTENT */
/* -------------------------------------------------------- */

main {
  line-height: 1.5;
  outline: 2px solid #9e4f49;    
  outline-offset: -6px;
  color: var(--text-color);
  padding: 40px;
}

/* HEADINGS: */

main h1,
main h2,
main h3,
main h4,
main h5,
main h6 {
  font-family: Kingthings;
  line-height: 1.5;
  margin: 30px 0px;
}

main h1:first-child,
main h2:first-child,
main h3:first-child,
main h4:first-child,
main h5:first-child,
main h6:first-child {
  margin-top: 0;
}

main h1 {
  font-size: 1.4rem;
}

main h2 {
  font-size: 1.2rem;
}

main h3 {
  font-size: 1rem;
}

main h4 {
  font-size: 0.8rem;
}

main h5 {
  font-size: 0.6rem;
}

main h6 {
  font-size: 0.4rem;
}


/* -------------------------------------------------------- */
/* BOOK LOG */
/* -------------------------------------------------------- */

/* 
.half-star {
  display: inline-block;
  width: 15px;
  height: 15px;
  background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 640 640"><!--!Font Awesome Free v7.3.1 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free Copyright 2026 Fonticons, Inc.--><path d="M336.1 71.6C336.1 60.5 328.5 50.9 317.7 48.3C306.9 45.7 295.8 50.8 290.7 60.7L225.1 189.3L65.2 214.7C56.3 216.1 48.9 222.4 46.1 231C43.3 239.6 45.6 249 51.9 255.4L166.3 369.9L141.1 529.8C139.7 538.7 143.4 547.7 150.7 553C158 558.3 167.6 559.1 175.7 555L323 480.1C331 476 336.1 467.7 336.1 458.7L336.1 71.6z"/></svg>');
}
*/

.svgs {
  display: none;
}

.star-rating {
  display: inline-block;
  width: 15px;
  height: 15px;
}


.booklog {
  width: 100%;
  max-height: 1000px;
  overflow-y: auto;
  padding: 15px;
  background-image: url("https://decomail.space/bg/red/68.jpg");
  background-size: 25% auto;
  background-repeat: repeat;
  border: 8px ridge #9e4f49;
}

#booklog-title {
  width: 200px;
  text-align: center;
  background-color: #f2d6c0;
  margin: 0 auto;
  padding: 15px;
  border-radius: 15px;
  border: 2px dashed #b94f3f;
  box-shadow: 3px 3px 6px rgba(0, 0, 0, 0.2);
}

.book {
  /* border: 2px dashed #9e4f49; */
  border: 2px dashed #b94f3f;
  border-radius: 5px;
  padding: 15px;
  margin: 20px 0;
  background-color: #f2d6c0;
  box-shadow: 3px 3px 6px rgba(0, 0, 0, 0.2);
}

.book-cover {
  float: left;
  width: 100px;
  height: auto;
  margin: 0 20px 15px 0;
}

.book-info {
  /* color: #e17560; */
  color: #b94f3f;
}


/* -------------------------------------------------------- */
/* ACCESSIBILITY */
/* -------------------------------------------------------- */

/* please do not remove this. */

#skip-to-content-link {
  position: fixed;
  top: 0;
  left: 0;
  display: inline-block;
  padding: 0.375rem 0.75rem;
  line-height: 1;
  font-size: 1.25rem;
  background-color: var(--content-background-color);
  color: var(--text-color);
  -webkit-transform: translateY(-3rem);
      -ms-transform: translateY(-3rem);
          transform: translateY(-3rem);
  -webkit-transition: -webkit-transform 0.1s ease-in;
  transition: -webkit-transform 0.1s ease-in;
  -o-transition: transform 0.1s ease-in;
  transition: transform 0.1s ease-in;
  transition: transform 0.1s ease-in, -webkit-transform 0.1s ease-in;
  z-index: 99999999999;
}

#skip-to-content-link:focus,
#skip-to-content-link:focus-within {
  -webkit-transform: translateY(0);
      -ms-transform: translateY(0);
          transform: translateY(0);
}

/* -------------------------------------------------------- */
/* MOBILE RESPONSIVE */
/* -------------------------------------------------------- */

/* CSS Code for devices < 800px */
@media (max-width: 800px) {
  body {
    font-size: 14px;
  }

  .layout {
    width: 100%;
    -ms-grid-rows: auto var(--margin) auto var(--margin) auto var(--margin) auto;
    -ms-grid-columns: 1fr;
        grid-template: "banner" auto "leftSidebar" auto "main" auto "footer" auto / 1fr;
    /* Confused by the grid? Check out my tutorial: https://petrapixel.neocities.org/coding/positioning-tutorial#grid */
  }

  
  .right-sidebar { 
    display: none;
  }

  aside {
    border-bottom: 1px solid;
    padding: 9px;
    font-size: 0.9em;
  }

  
  nav {
    padding: 0;
  }
  
  nav > ul {
    padding-top: 0.5em;
  }

  nav > ul li > a,
  nav > ul li > details summary,
  nav > ul li > strong {
    padding: 0.5em;
  }

  main {
    max-height: none;
    padding: 15px;
  }

  .images {
    -ms-flex-wrap: wrap;
        flex-wrap: wrap;
  }

  .images img {
    width: 100%;
  }

  #skip-to-content-link {
    font-size: 1rem;
  }
  
  main {
    -ms-grid-row: 5;
    -ms-grid-column: 1;
  }

  header {
    -ms-grid-row: 1;
    -ms-grid-column: 1;
    -ms-grid-column-span: 1;
  }
  
  .left-sidebar {
    -ms-grid-row: 3;
    -ms-grid-column: 1;
  }

  footer {
    -ms-grid-row: 7;
    -ms-grid-column: 1;
    -ms-grid-column-span: 1;
  }
}






















